> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seamind.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Knowledge Gaps

> Get questions with highest fail rates for the current user.



## OpenAPI

````yaml /openapi.json get /api/v1/learn/analytics/me/knowledge-gaps
openapi: 3.1.0
info:
  title: Seamind Backend
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/learn/analytics/me/knowledge-gaps:
    get:
      tags:
        - learn-analytics
      summary: Get Knowledge Gaps
      description: Get questions with highest fail rates for the current user.
      operationId: get_knowledge_gaps_api_v1_learn_analytics_me_knowledge_gaps_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KnowledgeGapsResponseDTO'
      security:
        - HTTPBearer: []
components:
  schemas:
    KnowledgeGapsResponseDTO:
      properties:
        gaps:
          items:
            $ref: '#/components/schemas/KnowledgeGapDTO'
          type: array
          title: Gaps
      type: object
      required:
        - gaps
      title: KnowledgeGapsResponseDTO
      description: Knowledge gaps response.
    KnowledgeGapDTO:
      properties:
        courseId:
          type: string
          format: uuid
          title: Courseid
        courseTitle:
          type: string
          title: Coursetitle
        questionId:
          type: string
          title: Questionid
        questionText:
          type: string
          title: Questiontext
        questionType:
          type: string
          title: Questiontype
        failRate:
          type: number
          title: Failrate
        totalAttempts:
          type: integer
          title: Totalattempts
      type: object
      required:
        - courseId
        - courseTitle
        - questionId
        - questionText
        - questionType
        - failRate
        - totalAttempts
      title: KnowledgeGapDTO
      description: A single knowledge gap entry (question with high fail rate).
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````